aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAric Belsito <lluixhi@gmail.com>2017-10-04 11:49:43 -0700
committerAric Belsito <lluixhi@gmail.com>2017-10-04 11:49:43 -0700
commit9631c14c244c65684fd3e267b330a9d23f89cf6a (patch)
treec6959affd05481e8855ad79108314a0fe8ed95c2 /sys-block
parentsys-fs/xfsdump: version bump to 3.1.8 (diff)
downloadmusl-9631c14c244c65684fd3e267b330a9d23f89cf6a.tar.gz
musl-9631c14c244c65684fd3e267b330a9d23f89cf6a.tar.bz2
musl-9631c14c244c65684fd3e267b330a9d23f89cf6a.zip
sys-block/thin-provisioning-tools: bump to 0.7.2
Diffstat (limited to 'sys-block')
-rw-r--r--sys-block/thin-provisioning-tools/Manifest4
-rw-r--r--sys-block/thin-provisioning-tools/thin-provisioning-tools-0.7.0.ebuild2
-rw-r--r--sys-block/thin-provisioning-tools/thin-provisioning-tools-0.7.2.ebuild63
3 files changed, 67 insertions, 2 deletions
diff --git a/sys-block/thin-provisioning-tools/Manifest b/sys-block/thin-provisioning-tools/Manifest
index f560918..7f3544f 100644
--- a/sys-block/thin-provisioning-tools/Manifest
+++ b/sys-block/thin-provisioning-tools/Manifest
@@ -2,6 +2,8 @@ AUX thin-provisioning-tools-0.7.0-build-fixes.patch 1077 SHA256 863806519182c7c0
AUX thin-provisioning-tools-0.7.0-page_size.patch 514 SHA256 b8e64c0adb18766e1783755ed353db01e9960d3becf4445d81a56c16c9f02ce3 SHA512 0ec0f58a3951f075d31c81c93457e9f24acdf3d1fbc89ce34c184ff5ae098eb60f7b8e1a1ee20d7d69a30c31a5b00703983e697dabc51820f0429cc6094b773d WHIRLPOOL 6f797ad516bc4188c4625adf96de39116fcec13f7ab2dc97778d90ef989283d10d46081abdbd1011029f917fcd9dc99a2be415c00d8878b34f25b37ecde914c9
DIST thin-provisioning-tools-0.7.0.tar.gz 230595 SHA256 68a815860fce3f09f64ef241fd4ba45713f4c7be384fe116ec1dbea467684b32 SHA512 cb6c44c7215aadd72292d73e2374d8c0c28566adcb10c7a3de83576dbd28649ebba6e2cc59945a28921e423540969cb21f648c37e375d68f48e56a8be4a4c7b8 WHIRLPOOL 80201034dafd00617951a30369fc617a9c91b4408ec5c5272b4406c8f86caf0ff738938d6ef92d27a9ac96c3110edfa16609f0777c8592e6a100aeb3e02d3837
DIST thin-provisioning-tools-0.7.1.tar.gz 247111 SHA256 da45e387bb7ad5b1b8727dc3e013a1136a18fe7a59bea19074a945ff6d73b925 SHA512 47ce2f0699e3bc21fa5bb1175e12fa8f545d2abfbed4529b144bd4812a4a0021635713c3e71228f20b30cbe067c77fb93db20b65075b2689ec2aa5b0385854b9 WHIRLPOOL 9723450f069df280b9dce3c53e0dff7342ed6757135ea3e07f7df5c081896d003aceafcb00af8f40a98aae7c42c401b7d363ebc4080f16435ba3962ae4f3edfb
-EBUILD thin-provisioning-tools-0.7.0.ebuild 1570 SHA256 89ff3d517374076ee667ce5d4c6d1688fc3d5aa4c798828dc8ff8261f6f78e6a SHA512 f38ea84fd448caba6583cd4809abdd7df62e5ca06d38420e5e3ca757bcbf9513b7632e25a2ecddf9a8e618fc647e02bc1c583332b813d5d827a197f81b3bcc53 WHIRLPOOL 1fc4c20ba726e9ebb9427c442a9a1f7bb65e584673dd88c37ca53c7b7075341dcaad32da0a99a20a59ee3716dc51c62def67adf309db0c14a0a5e4d341b9aeaa
+DIST thin-provisioning-tools-0.7.2.tar.gz 265819 SHA256 98e779cb3f9131bc0bb3051ac33ff93562085bee1cb5409f2184163d74092e7e SHA512 563363842ab0b92f563ac7fcaedb18b8fca70b0894ff30d55cc40487d53b035c32d3ef711adb7102ef1a55b26a75510239da2542b791d850a5cbccf1ddf1acdd WHIRLPOOL e0e0ab86a5d6746744b7cc2e75d3b9ea729ea7ecd4aa59b0eeaeaecf8746ddf10385b8ecad564d6dbab77e2defa641a717a0cbe83fab470a8dabc19013fcfff0
+EBUILD thin-provisioning-tools-0.7.0.ebuild 1567 SHA256 e4385c067c5950a821a5483a2db3e573bc558327bd3d4542f5e6df3dca554b44 SHA512 41fb155eb0be537788fd75e85de6a8407cb68ba29ee70622b2012bb5abadff82bbda0f0c4f7b54e2681c72286abe38cbe46bc8a13e87961b7488fe6a14783fd2 WHIRLPOOL 77303405d0f2c4322b9bda0edc78dc06fec27d6d746d007d9a448a26283c241f0b1d4ace7bf9e46279064e4993fc65d0fbd5fd1876d056da9931cb2f03bc5226
EBUILD thin-provisioning-tools-0.7.1.ebuild 1570 SHA256 89ff3d517374076ee667ce5d4c6d1688fc3d5aa4c798828dc8ff8261f6f78e6a SHA512 f38ea84fd448caba6583cd4809abdd7df62e5ca06d38420e5e3ca757bcbf9513b7632e25a2ecddf9a8e618fc647e02bc1c583332b813d5d827a197f81b3bcc53 WHIRLPOOL 1fc4c20ba726e9ebb9427c442a9a1f7bb65e584673dd88c37ca53c7b7075341dcaad32da0a99a20a59ee3716dc51c62def67adf309db0c14a0a5e4d341b9aeaa
+EBUILD thin-provisioning-tools-0.7.2.ebuild 1570 SHA256 89ff3d517374076ee667ce5d4c6d1688fc3d5aa4c798828dc8ff8261f6f78e6a SHA512 f38ea84fd448caba6583cd4809abdd7df62e5ca06d38420e5e3ca757bcbf9513b7632e25a2ecddf9a8e618fc647e02bc1c583332b813d5d827a197f81b3bcc53 WHIRLPOOL 1fc4c20ba726e9ebb9427c442a9a1f7bb65e584673dd88c37ca53c7b7075341dcaad32da0a99a20a59ee3716dc51c62def67adf309db0c14a0a5e4d341b9aeaa
MISC metadata.xml 531 SHA256 741541cb8fef9b5c5c778c259addbd8d925c65f48b49b91d9ef66905dab466d5 SHA512 80fde34da9de5b2436c096bc9051ccb55124c330dc82ac538f66a100225623aa7cb0869041179999608cc52613e40ba464b46630cff52423c13d1a374eb98ed0 WHIRLPOOL d8c5a81fdbe8dda224028781da56cd469eb9f153589481ea29d680bc5fcde952096950ff2456230221cd75dbe4233459ef401321936e23d38188869277d3fb7f
diff --git a/sys-block/thin-provisioning-tools/thin-provisioning-tools-0.7.0.ebuild b/sys-block/thin-provisioning-tools/thin-provisioning-tools-0.7.0.ebuild
index 6301473..8364a69 100644
--- a/sys-block/thin-provisioning-tools/thin-provisioning-tools-0.7.0.ebuild
+++ b/sys-block/thin-provisioning-tools/thin-provisioning-tools-0.7.0.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/jthornber/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
LICENSE="GPL-3"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE="static test"
LIB_DEPEND="dev-libs/expat[static-libs(+)]
diff --git a/sys-block/thin-provisioning-tools/thin-provisioning-tools-0.7.2.ebuild b/sys-block/thin-provisioning-tools/thin-provisioning-tools-0.7.2.ebuild
new file mode 100644
index 0000000..6301473
--- /dev/null
+++ b/sys-block/thin-provisioning-tools/thin-provisioning-tools-0.7.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="A suite of tools for thin provisioning on Linux"
+HOMEPAGE="https://github.com/jthornber/thin-provisioning-tools"
+SRC_URI="https://github.com/jthornber/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="static test"
+
+LIB_DEPEND="dev-libs/expat[static-libs(+)]
+ dev-libs/libaio[static-libs(+)]"
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
+# || ( ) is a non-future proof workaround for Portage unefficiency wrt #477050
+DEPEND="${RDEPEND}
+ static? ( ${LIB_DEPEND} )
+ test? (
+ || ( dev-lang/ruby:2.9 dev-lang/ruby:2.8 dev-lang/ruby:2.7 dev-lang/ruby:2.6 dev-lang/ruby:2.5 dev-lang/ruby:2.4 dev-lang/ruby:2.3 dev-lang/ruby:2.2 dev-lang/ruby:2.1 )
+ >=dev-cpp/gmock-1.6
+ >=dev-cpp/gtest-1.6
+ dev-util/cucumber
+ dev-util/aruba
+ )
+ dev-libs/boost"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.7.0-build-fixes.patch
+ "${FILESDIR}"/${PN}-0.7.0-page_size.patch
+)
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ use static && append-ldflags -static
+ STRIP=true econf \
+ --prefix="${EPREFIX}"/ \
+ --bindir="${EPREFIX}"/sbin \
+ --with-optimisation='' \
+ $(use_enable test testing)
+}
+
+src_compile() {
+ MAKEOPTS+=" V="
+ default
+}
+
+src_test() {
+ emake unit-test
+}
+
+src_install() {
+ emake DESTDIR="${D}" DATADIR="${ED%/}/usr/share" install
+ dodoc README.md TODO.org
+}